<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>sO4: HTMl Attributes</title>
  </head>
  <body>
    <h2 align="center" id="top">HTML Attributes</h2>
    <p align="center"><em>Modifiers of element behavior</em></p>
    <h2>HTML Images</h2>

    <p align="right">
      <em
        >AN image can be shown using &lt; img &gt; tag along with its
        <strong>src</strong> attribute</em
      >
    </p>
    <!-- add img using absolute link -->
    <img src="https://place-puppy.com/300x300" alt="puppy-img" />
    <p><code> &lt; img src="https://place-puppy.com/300x300"&gt; </code></p>

    <!-- HTML tags wrapped inside an anchor tag will become a clickable element -->
    <a href="https:://place-puppy.com" target="_blank">
      <img src="https://place-puppy.com/300x300" alt="" />
    </a>
    <!-- add img using relative link -->
    <img src="./images/zuittlogo.png" alt="" />
    <p><code> &lt; img src="./images/zuittlogo.png" &gt; </code></p>

    <p>Valid image extensions are the following:</p>
    <!-- type attribute can be "a", "A","i", "I" -->
    <ol type="a" reversed>
      <li>png</li>
      <li>jpg</li>
      <li>gif</li>
      <li>svg</li>
      <li>webp</li>
    </ol>
    <p>
      Take a look at the w3schools attribute reference:
      <a
        href="https://www.w3schools.com/tags/ref_attributes.asp"
        target="_blank"
        >here</a
      >
    </p>
    <h2>HTML Links</h2>
    <h4>Absolute Link</h4>
    <!-- create a hyperlink element that redirects to a different page -->
    <a href="https://zuitt.co/" target="_blank">I'm a hyperlink</a>
    <!-- redirects to link.html file -->
    <h4>Relative Link</h4>
    <p>Go to <a href="./link.html">link.html</a> page.</p>
    <!-- Redirects to top  -->
    <p>Go to <a href="#top">top</a></p>
  </body>
</html>
